Assets

Get paginated list of image assets

Retrieve a paginated list of user-uploaded image assets.

GET
/assets

Authorization

token_auth
AuthorizationBearer <token>

Token-based authentication using access tokens.

In: header

Query Parameters

page?Page

Page number.

Default1
per_page?Per Page

Items per page.

Default20
Range1 <= value <= 100
order?Order

Sort order.

Default"desc"
Value in"asc" | "desc"
created_by?|

Filter by uploader username (exact match). Typically the username of a teammate when scoping by group member.

Defaultnull
created_after?|

Filter assets created after this timestamp (ISO 8601 format).

Defaultnull
created_before?|

Filter assets created before this timestamp (ISO 8601 format).

Defaultnull
sort_by?Sort By

Sort by field.

Default"created_at"
Value in"filename" | "created_at"
search?|

General search term to match against tags, filename or project name.

Defaultnull
ownership?|

Filter by ownership: 'mine' for own assets, 'shared' for group members' assets, 'default' for platform assets.

Defaultnull
include_tags?|

Comma-separated tags the asset must have (AND logic). Allowed: model, product, background, other.

Defaultnull
exclude_tags?|

Comma-separated tags the asset must NOT have (AND-NOT logic). Allowed: model, product, background, other.

Defaultnull

Response Body

application/json

application/json

curl -X GET "https://v2.api.piktid.com/assets"
{
  "pagination": {
    "page": 0,
    "per_page": 0,
    "total": 0,
    "pages": 0,
    "has_next": true,
    "has_prev": true
  },
  "assets": [
    {
      "id": "string",
      "filename": "string",
      "url": "string",
      "created_at": "string",
      "created_by": "string",
      "tags": [
        "string"
      ],
      "visibility": "private",
      "thumbnail_big": null,
      "thumbnail_small": null,
      "styling_note": null,
      "detected": null,
      "dimensions": null
    }
  ]
}
{
  "error": "Invalid request",
  "detail": [
    {
      "field": null,
      "message": "string",
      "position": "query"
    }
  ]
}
Empty